Skip to main content
POST
/
conferences
/
{id}
/
actions
/
send_dtmf
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.conferences.actions.sendDtmf('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  digits: '1234#',
});

console.log(response.data);
{
  "data": {
    "result": "ok"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Uniquely identifies the conference.

Body

application/json
digits
string
required

DTMF digits to send. Valid characters: 0-9, A-D, *, #, w (0.5s pause), W (1s pause).

Example:

"1234#"

call_control_ids
string[]

Array of participant call control IDs to send DTMF to. When empty, DTMF will be sent to all participants.

Example:
[
"v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg"
]
duration_millis
integer
default:250

Duration of each DTMF digit in milliseconds.

Required range: 100 <= x <= 500
Example:

250

client_state
string

Use this field to add state to every subsequent webhook. Must be a valid Base-64 encoded string.

Example:

"aGF2ZSBhIG5pY2UgZGF5ID1d"

Response

Successful response upon making a conference command.

data
Conference Command Result · object
Example:
{ "result": "ok" }